
/**
 * Title:        PlacementApplet
 * Description:  Animation of VLSI Module Placement
 * Copyright:    Copyright (c) 2001
 * Company:      Lafayette College
 * @author John Nestor
 * @version 1.0
 */

public class PMoveFlipH extends PMove {
  public PMoveFlipH(PModule pm) { super(pm); deltaCost = moveModule.flipHorizontal(); }
  public String toString() { return moveString("Flip-H"); }
  public void undo() { super.undo(); moveModule.flipHorizontal(); }
}